Skip to main content

/cosmos/tx/v1beta1/txs

GET

GetTxsEvent fetches txs by event.
Query Parameters
eventsarray
events is the list of transaction event type.Deprecated post v0.47.x: use query instead, which should contain a validevents query.
pagination.keystring
key is a value returned in PageResponse.next_key to beginquerying the next page most efficiently. Only one of offset or keyshould be set.
pagination.offsetstring
offset is a numeric offset that can be used when key is unavailable.It is less efficient than using key. Only one of offset or key shouldbe set.
pagination.limitstring
limit is the total number of results to be returned in the result page.If left empty it will default to a value to be set by each app.
pagination.count_totalboolean
count_total is set to true to indicate that the result set should includea count of the total number of items available for pagination in UIs.count_total is only respected when offset is used. It is ignored when keyis set.
pagination.reverseboolean
Set to true to return results in descending order.
order_bystring
  • ORDER_BY_UNSPECIFIED: ORDER_BY_UNSPECIFIED specifies an unknown sorting order. OrderBy defaults
to ASC in this case.
    pagestring
    page is the page number to query, starts at 1. If not provided, willdefault to first page.
    limitstring
    limit is the total number of results to be returned in the result page.If left empty it will default to a value to be set by each app.
    querystring
    query defines the transaction event query that is proxied to Tendermint'sTxSearch RPC method. The query must be valid.Since cosmos-sdk 0.50
    Responses
    codestringrequired
    Code identifying the cause of the failed request.
    messagestringrequired
    Detailed message including the name and value of the invalid parameter.
    {
    "code": "ERROR_CODE",
    "message": "An unexpected error response."
    }
    cURL
    curl -X GET 'https://rest-cosmos-mainnet.nodit.io/cosmos/tx/v1beta1/txs?events=' \
    -H 'Content-Type: application/json' \
    -H 'X-API-KEY: nodit-demo'